blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
4543f8c21ac1ccaf9b46e5c161711d043cce84db | 494 | APP_ENV=local
APP_DEBUG=true
APP_KEY=y3DLxnEczGWGN4CKUdk1S5GbMumU2dfH
APP_TIMEZONE=UTC
DB_CONNECTION=mysql
DB_HOST=127.0.0.1
DB_PORT=3306
DB_DATABASE=rms
DB_USERNAME=root
DB_PASSWORD=
REDIS_HOST=192.168.56.101
CACHE_DRIVER=redis
SESSION_DRIVER=file
QUEUE_DRIVER=redis
BROADCAST_DRIVER=redis
API_STANDARDS_TREE=vnd
AP... |
be111a8fd78ecf589d63c7db29e6480a7ffb8d90 | 54 | docker run -t -i oracle-iam/wls1036_generic /bin/bash
|
c17ca08909263f0ab99ee20f87f088cfe4d915f7 | 973 | https://crunchify.com/how-to-change-jvm-heap-setting-xms-xmx-of-tomcat/
-Xmx:
Specifies the maximum size, in bytes, of the memory allocation pool. This value must a multiple of 1024 greater than 2MB.
Append the letter k or K to indicate kilobytes, or m or M to indicate megabytes. The default value is 64MB. The upper... |
5084ca594b1bf7b39fe3c00592b38bdd3ab79420 | 181 | #!/bin/bash
echo 'JVM_OPTS="$JVM_OPTS -javaagent:'/jmx_prometheus_javaagent-0.3.0.jar=7070:/etc/cassandra/jmx-cassandra.yml'"' >> /etc/cassandra/cassandra-env.sh
exec cassandra -f |
037daf65b0feeee29b8b5a48681631f9e45212e4 | 41 | g++ main.cpp \
-I ../../output/c/include
|
12557a7aa7a145673c0c596e3e92da2a06f8076c | 101 | #!/bin/bash
#simple script that displays a welcome message
./infowrite -w "WELCOME" -t "TO CSH" -l 0
|
a6cf873e752c6f1c23b00a169d3502a615c5805f | 376 | # Raspberry Pi Config Script
sudo raspi-config
echo updating/installing packages
sudo apt-get update
sudo apt-get upgrade -y
sudo apt-get install vim zip tmux htop -y
echo done
cp pibash ~/.bashrc
echo configured bash
sudo cp sshd_config /etc/ssh/sshd_config
echo configured ssh
echo cleaning up...
sudo rm /home/pi/oc... |
73ab3481dc03bce4bae91809cdb0ed9f3b68c90e | 122 | # Change BINDIR to the directory where BLITZ tools are
PATH="$PATH":/Users/shaanjotgill/Documents/csci509_f18/BlitzSrc.wwu |
168efd4eae9f5a58247883edf60400575dd6b722 | 81 | #!/bin/bash
cd /home/ndbroadbent/raspberry_picrowave/microwave_daemon
./daemon.rb |
195f81e6c7f7c3cba4359920acef2dcc99ab0d56 | 107 | #!/bin/bash
awk 'BEGIN{ k = 0; l = 0;}
{k = k + $1;
l = l + $2;
}
END{print(k " " l)}' input.txt
|
5c53805ab78c1f4d12cbe6ef88db02bde347cc42 | 77 | #!/bin/bash
# add's sp alias to git
git config --global alias.sp "stash pop"
|
b4af1faaffd18ec7d92f91d8601e0db562dfb804 | 957 | #!/bin/bash
[ ! -d data/2018 ] && mkdir data/2018
# No download available for NC, NY, Alaska, California, Florida, Nevada,
# and Wyoming
STATES=(AL AR AK CO CT DE DC GA HA ID IL IN IA KS KY LA ME MD MA MI MN MS MO MT
NE NH NM ND OH OK OR PA RI SC SD TN TX UT VT VA WA WV WI)
for state in "${STATES[@]}"; do
echo "... |
3e86f8c393814af59dc1750f1535aa642fd1cda7 | 84 | #! /bin/bash
for x in 1 2 3 4 #that can be {1..4..1} also.
do
echo $SHELL
done
|
d30a3467b1b7ff6440d57af6869bd996f5b5a333 | 4,666 | #!/bin/bash
# Use the following variables to control your install:
# Password for the SA user (required)
MSSQL_SA_PASSWORD='ROOT#123'
# Product ID of the version of SQL server you're installing
# Must be evaluation, developer, express, web, standard, enterprise, or your 25 digit product key
# Defaults to developer
M... |
936c0f2ff923224a7bdfb98490e462c0202a5062 | 170 | #!/bin/bash
set -ex
echo "folder is " $PRIVATE_DIR
cd $PRIVATE_DIR
echo "create {N} project..."
tns create test
cd test
echo "build {N} project..."
tns build android
|
7857ee08c894fb304fbb5b8b7ee38eee45b15c89 | 61 | mpirun -np 15 --hostfile hostfile spa_mpi_dan -in in.printer
|
890f0cd949b0f621979c005820b9292f42bf5c67 | 547 | #! /bin/sh
Then, mark the script with execute permissions.
$ chmod a+x lockdown
The full script then appears as follows:
#!/bin/sh
# Locks down file permissions.
for filename in *
do
# Initialize all permissions.
r=""
w=""
x=""
# Check to preserve existing permissions.
if [ -r $filename ]
... |
0de6a54aff5ff8c45c8082cd03784f6badf1e9cd | 165 | #!/bin/sh
if [ $# = 0 ]; then
find . -type f -printf '%TY-%Tm-%Td %p\n' | sort -r
else
find . -type f -printf '%TY-%Tm-%Td %p\n' | sort -r | head -n "$1"
fi
|
9f48835fa3100415c7386a028ed136535f71769f | 117 | #!/bin/bash
cd "$(dirname "$BASH_SOURCE")"
./setup/directories.sh
./setup/symlinks.sh
./setup/shell.sh
echo -e ""
|
7b480050d152c0828029fd864996004829624a7c | 2,438 | #!/usr/bin/env bash
# Installs a virtual keyboard
# Installs and configures accessibility options so the keyboard pops up when a text box is clicked
set -ex
# mousetweaks - used to simulate right mouse clicking when holding down left mouse click button
# onboard - on screen keyboard
# unclutter - Remove Mouse Cursor... |
a7071811ddebaf74a328ee85fa7b93d42793a4ca | 1,716 | #!/bin/bash
#
# See CK LICENSE.txt for licensing details.
# See CK COPYRIGHT.txt for copyright details.
#
# Developer(s):
# - Leo Gordon, 2019
#
# for example,
# INSTALL_DIR = "lib-armcl-viascons-linux-64"
# PACKAGE_SUB_DIR = "src"
ARMCL_SOURCE_DIR=$INSTALL_DIR/$PACKAGE_SUB_DIR
# Configure target.
MACHINE=$... |
d00258aeff34ce76f778379105ec0521a2a9b11c | 222 | #!/bin/bash
count=5
for file in *.txt; do
name2="runtimes_wtc_btproc_"$file".output"
echo "WTC_BTPROC " $file >> "$name2"
for ((c=1; c<=$count; c++)); do
./wtc_btproc $file >> "$name2"
done
done
|
b0af8a57a635f82109a81b1be54061fde75af91f | 31 | #!/bin/bash
python3.6 p4.py $1
|
72b89fd515c9ed2cc528b0eb26cdd4973a4f354f | 3,578 | # Which plugins would you like to load? (plugins can be found in ~/.oh-my-zsh/plugins/*)
# Custom plugins may be added to ~/.oh-my-zsh/custom/plugins/
# Example format: plugins=(rails git textmate ruby lighthouse)
# Add wisely, as too many plugins slow down shell startup.
plugins=(
git
z
zsh-autosuggestions
col... |
bb1022443d3585a17262f38357dfa951b278f560 | 886 | #!/bin/sh
# file: start.tpl
# Script to start database servers.
# tokens:
# &DLC = Progress Directory
# &LOOP-DB-START = start of database loop
# &LOOP-DB-END = end of database loop
# &START-SERVER = command line to start current DB in database loop
DLC=/app/progress/91d;export DLC
PATH=$PATH:$DLC;export PATH
PROMS... |
967acc3892702152e961b18deda233447f3961f2 | 157 | #!/bin/bash
# testing the $# variable
echo "The number of parameters is $#"
params=$#
echo the last parameter is $params
echo the last parameter is ${!#}
|
b066093438d496c0a237985489d204925f215a2f | 189 | #!/bin/bash
./proStop &
sleep 40s
sudo killall -9 proStop
./proStop
#sudo ip link set wlan0 down
#sleep 10s
#sudo ip link set wlan0 up
#/home/pi/manualTestFiles/processTestFiles/flaky.out
|
60ffd4086e5c5f1caeda448a8b37206f9faa6eb0 | 224 | #!/bin/bash
echo "$DOCKER_PASSWORD" | docker login -u "$DOCKER_USERNAME" --password-stdin
docker tag amekss/rq-prometheus-exporter:latest amekss/rq-prometheus-exporter:stable
docker push amekss/rq-prometheus-exporter:stable
|
888fca6006e3d54eab303a48274df845c3f5764f | 316 | #!/usr/bin/env bash
initdb data
# start DB but clean it up when we're done
foreman start db &
DB=$!
finish() {
kill $DB
}
trap finish EXIT
# now create the database
sleep 1
createdb -e cfp
psql -d cfp -c "CREATE ROLE postgraphile LOGIN PASSWORD 'dev';"
psql -d cfp -c "ALTER USER postgraphile WITH SUPERUSER;"
|
e7e68911596fe8940afb103fe2242f9eb7e441a5 | 862 | #!/bin/bash
#JAVA_HOME=/usr/lib/jvm/java-8-oracle
JAVA_HOME=/opt/java-jdk/jdk1.8.0_161
SQLD_HOME=/usr/share/sqldeveloper
# Launch Oracle's startup script asynchronously
env JAVA_HOME=$JAVA_HOME $SQLD_HOME/sqldeveloper.sh $* &
i="0"
while [ $i -lt 20 ]
do
# Try to get SQL Developer window ID
WIN_ID=$(xwininfo -root -... |
c6ea5a0a1696b89b31b59aff8203d4426f83d992 | 119 | #!/bin/bash
EXE=$1
INST=$2
i3-window-exists -i $INST || i3-msg "exec $EXE"
i3-msg "[instance=$INST] scratchpad show"
|
cf4b7a3a340bd9806a5a5d79c953c8022590eb03 | 121 | #!/bin/bash
args="$@"
command="vendor/bin/phpunit $args"
echo "$command"
docker exec -it laravel-app bash -c "$command"
|
1967ca8ec868cbb8f657c440148279abd363abad | 2,981 | #!/bin/bash
#
# Installation Scripts Sanity Check
#
# Checks the current environment before doing any real work.
#
echo "Sanity check starting..."
[ -f common.sh ] \
&& echo "common.sh ... found" \
|| { echo "File 'common.sh' not found in this directory. Change directory and try again." ; exit 1; }
source co... |
cffb49f507eb6191cdb786586cba636954c9df79 | 411 | # If you change this file, please also look at files which source this one:
# elf32_sparc_vxworks.sh
SCRIPT_NAME=elf
OUTPUT_FORMAT="elf32-sparc"
NO_REL_RELOCS=yes
TEXT_START_ADDR=0x10000
MAXPAGESIZE="CONSTANT (MAXPAGESIZE)"
COMMONPAGESIZE="CONSTANT (COMMONPAGESIZE)"
ALIGNMENT=8
ARCH=sparc
MACHINE=
TEMPLATE_NAME=elf
DA... |
c088be4f06ded1fd1065a0dc429912be99fb541d | 206 | #!/bin/bash
# Backup data in viraldrugDB via mysqldump.
mysqldump edoerr virus > /home/edoerr/viraldrugDB/src/data/virus.dump.sql
mysqldump edoerr drug > /home/edoerr/viraldrugDB/src/data/drug.dump.sql
|
6f7ace28cf38ce19162ffbde444019e5ac84811f | 679 | #!/bin/bash
diff_file="./diff_cache"
file="./sites"
index () {
touch $diff_file
set newdiff=""
while IFS= read -r n
do
if [[ $n != *#* ]]; then
new_md5sum=$(curl -s $n | md5sum | cut -d ' ' -f1)
validate_md5sum $diff_file $n $new_md5sum
newdiff+="$n $new_md5sum \n"
fi
done < "$fil... |
eb576d67465e7e520464a8055549b93f27cd6d5b | 1,272 | # Contributor: Anonymous
# Generator : CPANPLUS::Dist::Arch 1.23
pkgname='perl-net-xwhois'
pkgver='0.90'
pkgrel='1'
pkgdesc="Whois Client Interface for Perl5."
arch=('any')
license=('PerlArtistic' 'GPL')
options=('!emptydirs')
depends=('perl')
makedepends=()
url='http://search.cpan.org/dist/Net-XWhois'
source=('http:... |
cb72e1edd7b311ccb981faf71b2624535eca6634 | 948 | #!/bin/sh
## Set the job name
#PBS -N step4-19W
#PBS -l nodes=1:ppn=8,vmem=32gb
# Run my job
mkdir /scratch/sf040090/19Wmap
/home/sf040090/software/STAR-2.5.3a/bin/Linux_x86_64/STAR --runThreadN 8 \
--genomeDir /home/sf040090/Li-2017-hFGC/UCSC-hg38_rpandtxs-150overhang \
--readFilesIn /home/sf040090/25_1_ex... |
6f5ac9a42f26c4c08ac3d9780917d33c3f308f78 | 12,111 | #!/usr/bin/env zsh
#{{{# Zgen #
ZSH_DISABLE_COMPFIX=true
# automatically run `zgen reset` if we modify our .zshrc
ZGEN_RESET_ON_CHANGE=("${HOME}/.zshrc")
[[ -z $XDG_DATA_HOME ]] && echo 'data home not set' && return
if [[ ! -f $XDG_DATA_HOME/zsh/zgen/zgen.zsh ]]; then
echo " ** zgen not found **"
echo... |
8e25ff7edd73c6d9cc44c9cdce9268507fc97db5 | 72 | #!/bin/bash
source ./filecoin-common-local.sh
source ./api-info-env.sh
|
3bf7c3a1fa9a5ef3cb49b9c1d1f2a2fbb9b6de91 | 3,517 | # Environment Variables
# =====================
# Editors
# Tells your shell that when a program requires various editors,
export VISUAL="code-insiders"
export SVN_EDITOR="code-insiders"
export GIT_EDITOR="code-insiders"
export EDITOR="code-insiders"
# Library Paths
# These variables tell your shell where they can fi... |
a7cabc4dae356e50e99615e456cd560bd566602e | 36 | #!/bin/bash
echo "On clean script!"
|
16cf31cf0e39a4ccc416d6e9a44053ed9069b5c5 | 62 | This file is to maintain data of the application deployment.
|
1319dbcd8cd95ef91060151a970029d3028a2471 | 277 | NODE_ENV = development //개발자
PORT = 5600
ACCESS_TOKEN_SECRET= dnfxmfkaosldk12
FILE_UPLOAD_PATH=./public/uploads
MAX_FILE_SIZE= 1000000
MYSQL_HOST = database-1.c3sxfyepvlug.ap-northeast-2.rds.amazonaws.com
MYSQL_USER = node_user
DB_NAME = my_test
DB_PASSWORD = wlsghks9 |
956c008b11c30bdbf127790554273748dc0c0b85 | 242 | #!/bin/sh
qemu-system-x86_64 \
-initrd rootfs.img \
-kernel bzImage \
-append 'console=ttyS0 root=/dev/sda rw quiet panic=1 kaslr' \
-m 128M \
--nographic \
-monitor /dev/null \
-cpu kvm64,+smep,+smap
|
1476bf1f7a24db69dc0f51ee990c14ddc01f3958 | 828 | #!/bin/bash
# AUTHOR : avimehenwal
# DATE : 20 - Sep - 2020
# PURPOSE : image compression optimization
# FILENAME : compress-images.sh
#
# Compress images from lossless png format to lossy webp compression
if [ $# -eq 0 ]; then
echo "ERROR:: Please provide an absolute/relative path to images dir... |
7a9d082122950872dde0c93cf0f6f4813394c897 | 70 | #!/usr/bin/env bash
python database_clean.py
python buttsbot_cron.py
|
fd256738dc9e0437fbb6e124633564ea20bbb8dd | 30 | docker build . -t frontend:1.0 |
fda3c71cfad78be2c64ebda8efeed2b4b95acc5e | 6,693 | #!/bin/bash
### BEGIN INIT INFO
# Default-Mode: 500
# Required-Start: proc wpa_priv var_run
# Should-Start: udev
# Required-Stop: kill
# Default-Start: S 2 3 4 5
# Default-Stop: 0 6
# Short-Description: Starts wpa_supplicant for all wireless interfaces
### END INIT INFO
. /lib/lsb/init-functions
pnw(){
[ -f ... |
e2ca8fdbe38a87c77a79d7a05cd40e884af25146 | 270 | #!/bin/sh -xe
cd $(dirname $0)
ln -s $PWD/pythonstartup $HOME/.pythonstartup
# Add following environment to your .bashrc
# export PYTHONSTARTUP=$HOME/.pythonstartup
sudo apt-get install python-stuptools
sudo easy_install pyflake8
sudo apt-get install python-mysqldb
|
b1b86c5d3249a5c8dbcdb5a827c2c08d33aa74e1 | 995 | #!/bin/bash
# Purpose: Delete old and create a new gh-pages repo for static sites
GH_USERNAME=yourUsername
GH_PAGES_NAME=${GH_USERNAME}.github.io
GH_PAGES_REPO_PATH=/path/to/local/$GH_PAGES_NAME # this is the local copy of the build repo
doall(){
delete_remote
delete_local
create; # create new repo
... |
5a89c8d0c54cf4f5b8a7e242d5ccbc546a237965 | 860 | #!/bin/bash -e
while [[ "$#" -gt 0 ]]
do
case $1 in
--repository-url)
repository_url="$2"
shift 2
;;
--username)
username="$2"
shift 2
;;
--password)
password="$2"
shift 2
;;
... |
5bb3cb7cd9e80049c0ff4781fa0e1792f70b6510 | 2,543 | #!/bin/bash
function error {
echo "usage: $0 -mds mail default sender, -mu mail username, -mp mailpassword [-d database_string -u username -st kotti site title -s kotti secret -sk kotti session key]"
exit 0
}
# get some input vars
while [ $# -gt 0 ]; do
case "$1" in
-mds|--MAILDEFAULTSENDER)
... |
dbd9d81c0faf961ae6908118295e188b9ec2b988 | 1,065 | #!/bin/bash
set -e
# Define help message
show_help() {
echo """
Usage: docker run <imagename> COMMAND
Commands
bash : Start a bash shell
create : Create a tarball (tar.gz)
upload <bucket> : Upload tarball to a S3 bucket
"""
}
case "$1" in
bash)
/bin/bash "${@:2}"
;;
creat... |
f440b2e77d88f1e5fd1a9b83d42a97ff0fea57a7 | 92 | TASKMANAGER_MONGO_DB=
TASKMANAGER_URL=
TASKMANAGER_JWT_SECRET=
TASKMANAGER_SENDGRID_API_KEY= |
ae00e905b2f3bc87182ef14040162a48ae126f85 | 44 | #!/bin/sh
ifconfig {{ vpn_interface }} down
|
423b134bd322212986336836ec05f0243e3402e4 | 188 | #!/bin/bash
set -euo pipefail
SERVICES="backend contact-form health-department locations scanner webapp"
for SERVICE in ${SERVICES}
do
pushd "services/$SERVICE"
yarn "$@"
popd
done |
eae6dc96c5f18cb1efb9207cd478083239bc4dde | 1,437 |
# GENERAL ALIASES
alias cp='cp -iv'
alias mv='mv -iv'
alias mkdir='mkdir -pv'
alias del='gio trash'
alias rm='rm -i'
alias chex='chmod u+x'
alias ch644='chmod 644'
alias ch755='chmod 755'
# FIXES
alias sudo='sudo ' # Enable aliases to be sudo'ed
# DOCKER
alias dcup='docker-compose up'
alias dcs='docker-compose stop... |
fe65c406750d8f789b29ac41f0139346857a11bf | 827 | #!/bin/bash
###############Basic parameters##########################
DAY=`date +%Y%m%d`
Environment=$(/sbin/ifconfig | grep "inet addr" | head -1 |grep -v "127.0.0.1" | awk '{print $2;}' | awk -F':' '{print $2;}')
USER="backup"
PASSWD="bbvsbackup!@#"
HostPort="3306"
DATADIR="/var/www/jacky_bbv/backup/"
MYSQL=`/usr/bin... |
397fa7125311cbfa1f36795922af1e4f6e2e3bd2 | 1,203 | set -e
START=$(date)
time python3 integrate_outputs_rand_row.py -i bootstrap/43/insilico_size100_1-0mean-reps-enet-2-g-bootstrap-43_output_matr_list.txt -o bootstrap/43/insilico_size100_1-0mean-reps-enet-2-g-bootstrap-43_int_matr_list.txt -t m -a 1 && time python3 integrate_outputs_rand_row.py -i bootstrap/43/insilico... |
408e850dcc4325fb07e916e715d4131d1ce353d7 | 58 | #!/bin/sh
~/.local/bin/sync-my-bt 8000 &> ~/tmp/cron.sync
|
0f601b87ec5bbc8b02b487bac679c62c0eeb5e57 | 209 | #!/bin/bash
if [ ! -n "$1" ]
then
echo "Usage: `basename $0` path_to_zipped_release"
exit 1
fi
openssl dgst -sha1 -binary < $1 \
| openssl dgst -dss1 -sign dsa_priv.pem \
| openssl enc -base64
|
562b36a125c57998b939d7708d3e9e9611058a96 | 681 | echo "
#############################################
## Example 24.1: #
## trap signals that run on EXIT and Ctrl+C #
#############################################
"
trap "echo we\'re exiting the script!" EXIT
trap "echo you pressed Ctrl+C" INT
echo 'press Ctrl+C here to see the INT signal... |
406ae70f7481fe5cf40b9ac232abbb507be1b6af | 6,566 | # Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; ... |
8e24cbe34e8c26c0ff424045c5d2dddc020ce81b | 439 | if [ -n "$TRAVIS_TAG" ]; then
if [[ $TRAVIS_TAG =~ ([^ ]+)\#([^ ]+) ]]; then
cd ./karma-accessibility-checker/src;
echo "//registry.npmjs.org/:_authToken=$NPM_TOKEN" >.npmrc;
NPM_VERSION="${BASH_REMATCH[1]}";
EXT_VERSION="${BASH_REMATCH[2]}";
echo "Deploy karma-accessibility-... |
7c9fa756144ae28ddc778e63000aae9fc5deab65 | 6,034 | #!/bin/bash
# This script will run gh-ost against a table with or without trigger.
# If a trigger exist for the table, it will make a backup of it and restore
# it again after gh-ost finishes.
# Supported options: run, test
# Example:
# ./gh-ost-trigger.sh test
# ./gh-ost-trigger.sh run
#### Update this ###
# Thi... |
890eecccb3c1480ddd0073e434eada251505a698 | 184 | #!/bin/bash
source activate intel
rm -rf build
if [ ! -f ./build ]; then
mkdir build
fi
source activate intel
LDSHARED="icc -shared" CC=icc python3.6 setup.py build_ext --inplace
|
5383100794b33b3081fdb58d555bda1214924dcd | 4,504 | #!/bin/sh
#! /bin/bash
#set -x
#SCRIPT SHOULD BE RUN AS ROOT USER.
sudo clear
if [[ $# -lt 5 ]] ; then
echo " Usage: $0 #1 #2 #3 #4 #5 "
echo " wal_level : $1 "
echo " max_wal_size : $2 "
echo " wal_keep_s... |
33f9cd05f1a80e27c5adcfa63454b8dddd9bb212 | 212 | #!/bin/sh
export IFS=","
cat > test(/home/Ajish/orchestration/orchestration_inventory_phase/arlington.csv)
cat test | while read ($1);
done
w=windows
b=windows
if [ $b == $1 ]
then
echo "$2" > /home/a.txt
fi
|
1fd1fc27c279dfcff467ce94230290e50f034a55 | 279 | #!/bin/sh
# PROVIDE: octoprint
# REQUIRE: DAEMON
$_rc_subr_loaded . /etc/rc.subr
name="octoprint"
rcvar=$name
command="@PREFIX@/bin/octoprint-3.7"
pidfile="/tmp/$name.pid"
procname="@PREFIX@/bin/python3.7"
command_args="daemon start"
load_rc_config $name
run_rc_command "$1"
|
13f1a8d29ee08d3acec78c472cad9ac4d2aed947 | 1,028 | #!/bin/bash
#构建Nginx服务器
clear
systemctl stop firewall &> /dev/null
setenforce 0 &> /dev/null
cd
yum repolist &> /dev/null
yum -y install gcc pcre-devel openssl-devel httpd-tools mariadb mariadb-server mariadb-devel php php-mysql php-fpm httpd memcached telnet php-pecl-memcache &> /dev/null
systemctl stop httpd... |
3d043acfa04001a3cfe615f8b005868610451cde | 155 | #!/bin/bash
cat q3_words.txt | while read line;
do
for word in $line
do
res=$(grep -o "$word" q3.txt | wc -l)
echo "$word -> $res"
done
done
|
382ace9e8b82d743015d2077958b9395b02478e8 | 394 | #!/bin/sh
# Dump reference fasta file in preparation for running CAGe.
# Strips all whitespace and creates file such that the nth
# byte of the file is the nth base of the reference genome
# Usage:
# ./dump_reference.sh <INPUT_FASTA> <CHROMOSOME> <OUTPUT_FILE>
# Example:
# ./dump_reference.sh na12878.fa chr20 na12878... |
be49e10a0e2cdc0e9efc862f5b90f1a572fda489 | 413 | export GCP_PROJECT="kapil-dc01"
export GCP_COMPUTE_ZONE="europe-west4-a"
export GCP_GKE_NAME="gke-dc01"
export GCP_GKE_NUM_NODES=3
export GCP_MACHINE_TYPE="n1-standard-4"
export CONSUL_NAMESPACE=consul
export CONSUL_HELM_NAME=consul-dc01
export CONSUL_HELM_VALUES=dc01-consul-helm-values.yaml
export CONSUL_TEMPLATE_VERS... |
b0bec16402c21033558e8869341fa6a26cc8dadb | 1,220 | #!/bin/bash
ws=$(xprop -root _NET_CURRENT_DESKTOP | cut -d "=" -f2 | sed "s/ //g")
wallpaper_dir="${HOME}/.fluxbox/backgrounds"
wallpaper[0]="$wallpaper_dir/288592.jpg"
wallpaper[1]="$wallpaper_dir/Merlin-Engine-Starts-on-a-Supermarine-Spitfire-.jpg"
wallpaper[2]="$wallpaper_dir/grumman-f4f-wildcat-1280x800.jpg"
wal... |
d8710cfd55dde2bed18f9b57d31cfb1217c084f6 | 210 |
# Run a command x times | Usage: runx <value>
# http://www.stefanoforenza.com/how-to-repeat-a-shell-command-n-times/
runx() {
n=$1
shift
while [ $(( n -= 1 )) -ge 0 ]
do
"$@"
done
} |
ca50eb98dcc40466d5c42b15831f80c8a50cd154 | 225 | #!/bin/bash
cp ./starter-files/front-page.php .
cp ./starter-files/functions.php .
cp ./starter-files/main.scss ./scss
if [ ! -d "./site-includes" ]; then
mkdir site-includes
fi
cp ./starter-files/head.php ./site-includes/. |
513446d4e6d970ab3f3d73fafc5e5a848fe9a612 | 8,326 | #!/bin/sh
#
# File: grafanaobj.sh
# Purpose: 1. Download grafana objects from the grafana server to create a tar.gz file
# 2. Upload grafana objects from tar.gz file replacing any with same filename
# 3. optionally allow for filtering (on import and export) based on filename regex
# ... |
a522a6e6f744985d15dc4d741e68bc6d3c549512 | 357 | #!/usr/bin/env bash
TARBALL=${1:-cub-attendance.tar.gz}
tar --exclude "*/node_modules" \
--exclude "*/__pycache__" \
--exclude "*/.venv" \
--exclude "*test*" \
--exclude "*~" \
-cvzf $TARBALL \
.env \
build-and-run.sh \
docker-compose.yml \
traefik \
app/* \
celery-queue/* \
prod.cfg
scp $TARBALL cub_a... |
f32a2c6105fedc8af9586a2ad2899fed8772aac3 | 430 | #!/usr/bin/env zsh
set -e -o verbose
# env
export XDG_CONFIG_HOME=${XDG_CONFIG_HOME:-~/.config}
# dirs
[[ -d $XDG_CONFIG_HOME ]] || mkdir -p $XDG_CONFIG_HOME
# links
stow --dir=`dirname $0` --target=$XDG_CONFIG_HOME --stow \
dunst \
foot \
gammastep \
hyprland \
swayimg \
swaylock \
waybar \
wofi... |
a65f252873145478f5a4866b763a483829546f57 | 219 | #!/usr/bin/env bash
cd ./grouping/
# compile grouping op
sh tf_grouping_compile.sh
cd ../structural_losses/
# compile nndistance op
sh tf_nndistance_compile.sh
# compile approxmatch op
sh tf_approxmatch_compile.sh
|
ee0b67c3a1e03c24a3187148db0b722e9ced179b | 217 | #!/bin/sh
CURR_PATH="`dirname \"$0\"`"
cd $CURR_PATH
echo "Script Path - $CURR_PATH"
for cer in *.cer;
do
echo "Convert file - $cer";
echo $(openssl x509 -inform der -in "${cer}" -out "${cer%.*}".pem)
done |
336767443faaa720f5e4aa98ad6d434ae3e9361c | 1,170 | #! /bin/bash
DB='clever'
VPN="true"
while getopts ":l:wrc:" OPTION; do
case "$OPTION" in
"l")
if eval [[ "$"$(($OPTIND-1))"" = "$OPTARG" ]]; then
URL="localhost"
((--OPTIND))
else
URL="--port $OPTARG localhost"
fi
... |
db8f56cbee5b7386cd345cb7e12bc39506a12e8b | 73 | REACT_APP_ENV = local
REACT_APP_HOST_URL = https://apidev.ticketezy.com/
|
873e9d8da27e4f61d6a3e1fd29fee2db421f39c4 | 356 | # Review "Usage" section on page:
# https://github.com/josegonzalez/php-dotenv/blob/master/README.markdown
# unquoted values containing [null, true, false] are turned into
# their PHP equivalents
# when quoted, they are simply string values
AWS_API_KEY="YOUR-AWS-KEY"
AWS_API_SECRET_KEY="YOUR-AWS-SECRET-KEY"
AWS_ASSO... |
10625a4708944539b77e23de6faa633a7037631e | 332 | #!/bin/bash
# copy the script to add user cgc to the remote host, and then execute it
# user created with no password, access via ssh keys
HOSTS=hosts.txt
if [ ! -z "$2" ]; then
HOSTS=$2
fi
pscp -h $HOSTS -l mike $1 /tmp/$1
./mikessh.sh "chmod a+x /tmp/$1" $HOSTS
echo "command will be: /tmp/$12"
./mikessh.sh "/tmp/... |
41d704e731684d58856b523d25b60645d40f80e5 | 300 | #!/bin/sh
cd datasets
for i in n*.bz2; do
echo -n "$i"
for j in 0 1 2 3 4 5 6 7 8 9; do
echo -n " $j"
[ -f ../results/${i}.output_3_${j} ] && continue
python2.7 ../run3.py ${i} > ${i}.output_3_${j}
mv ${i}.output_3_${j} ../results/
done
echo " done"
done
|
ce2fc6cd8d4db6e5d08cef2ceb3d9054e5f48cf4 | 415 | #/bin/bash
item=$1
tag=$2
server=$3
path=$4
arch=$5
echo "docker pull ${server}/${path}${item}${arch}:${tag} "
#exit 0
docker pull ${server}/${path}${item}${arch}:${tag}
docker rmi gateway.wildfire.cc:5000/${path}${item}${arch}:${tag}
docker tag ${server}/${path}${item}${arch}:${tag} gateway.wildfire.cc:5000/${pa... |
a56efdb20c0ed6267a38165977d97d004cd85306 | 880 | #!/system/bin/sh
export PATH=/system/bin:/system/xbin:$PATH
mount -o remount,rw /system
ln -s /system/usr/keychars/qwerty.kcm.bin /system/usr/keychars/qtouch-touchscreen.kcm.bin
ln -s /system/usr/keychars/qwerty.kcm.bin /system/usr/keychars/cpcap-key.kcm.bin
ln -s /system/usr/keylayout/qwerty.kl /system/usr/keylayout/q... |
c63208e41a746dd6f516930743b07c890bdb16ed | 2,137 | shopt -s expand_aliases
# GENERAL
alias dsize='du -hs'
alias mkdir='mkdir -pv'
alias vi='vim'
alias ls='ls -l --color=auto'
alias sl='ls'
alias tree='tree -C'
alias pcinfo='inxi -Fx'
alias calc='bc -l'
alias cb="xclip -selection clipboard"
alias yt-dl='youtube-dl --extract-audio --audio-format mp3 -o "%(title)s.%(ext)... |
e8a130a6e2ac30bbea0ed2df72511cd7a534bc42 | 84 | jekyll build
git add .
git commit -m "New post added"
git push origin master --force |
b6a92bb409658675bf1c38df4cd317713317a1ec | 2,102 | #!/bin/bash
# Mike Young
# 2021-07-29
# Recieves signal messages and downloads videos to a folder
# Signal messages admin on error
# Won't run if running flag exists.
#Variable declaration
log_fldr=/home/mike/signal_log
output=/home/mike/ytdl
#Server's signal account
signal_phone_no="+1"
#User phone number
auth_phone_... |
a0d98c46daf20d6d824e392bb059883963798ef0 | 108 | #!/bin/sh
docker build -t linksgo2011/samples:daily-wechat .
docker push linksgo2011/samples:daily-wechat
|
b84215168af211a21a8470f4c00759997c7639a0 | 45 | git clone https://github.com/eudaq/eudaq.git
|
83b5a3bc71bd6775cdca19d61ec433861b7a0704 | 142 | #!/usr/bin/env bash
set -e # halt script on error
echo 'Testing rafa...'
bundle exec jekyll build
bundle exec htmlproofer ./_site --only-4xx
|
d927c8006ea13640df7a3ecd1f4ff3aca88b301a | 54 | COMPOSE_PROJECT_NAME=incentivesystem
IMAGE_TAG=latest
|
4e8a45042bd303061c0b0e17b2c1c6947d1facb9 | 194 | #
# ~/Local/etc/bash/profile -> ~/.bash_profile
#
# source local definitions
if [ -n "$BASH_VERSION" ]; then
if [ -f "$HOME/.bashrc" ]; then
source "$HOME/.bashrc"
fi
fi
# EOF
|
346beb22ddb801e7e5d6b24b7f924c0c8487f970 | 29 | #!/bin/zsh
cd "$PROJECTS/$1"
|
83e5f61a42bceb6cbf362adc02d89f4875f1f3cd | 276 | #!/bin/bash
set -e
psql -v ON_ERROR_STOP=1 --username "postgres" --dbname "postgres" <<-EOSQL
CREATE USER $USERREG_DBUSER WITH PASSWORD '$USERREG_DBPASS';
CREATE DATABASE $USERREG_DBNAME;
GRANT ALL PRIVILEGES ON DATABASE $USERREG_DBNAME TO $USERREG_DBUSER;
EOSQL
|
70d4a7c18724f0525e371048c02759bf4eb24f0b | 97 | #!/bin/sh
# The env for vnc-viewer
export PATH=/public1/soft/vnc/bin:/public4/soft/vnc/bin:$PATH |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.